/* Manette de jeu:
Version française de Game controller
*/
/*Game Controller
 by Becky Stewart
 for Adventures in Arduino, Wiley (2015)
 
 Hardware:
 * 4 light dependent resistors
 * 4 10 kOhm resistors

Copyright 2015 Becky Stewart

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.  
 */

int brocheInter = 4;
int capteurGauche = A0;
int capteurDroit = A1;
int capteurHaut = A2;
int capteurBas = A3;

// Ajuster la valeur de ces variables afin
// d’obtenir un fonctionnement correct de votre manette
int seuilDroit = 400;
int seuilGauche = 400;
int seuilHaut = 400;
int seuilBas = 400;

void setup() {
  // Mettre brocheInter en mode entrée avec résistance de
  // maintien
  pinMode(brocheInter, INPUT_PULLUP);
  // Initialiser la communication clavier :
  Keyboard.begin();
}

void loop() {
  // Vérifier la connexion de contrôle :
  int etatInter = digitalRead(brocheInter);
  // Si le fil est relié à GND,
  if (etatInter == LOW) {
    // Flèche droite
    int valeurDroite = analogRead(capteurDroit);
    //Serial.println(valeurDroite);
    if(valeurDroite > seuilDroit) {
      Keyboard.press(KEY_RIGHT_ARROW);
    }
    
    // Flèche gauche
    int valeurGauche = analogRead(capteurGauche);
    //Serial.println(valeurGauche);
    if(valeurGauche > seuilGauche) {
      Keyboard.press(KEY_LEFT_ARROW);
    }
    
    // Flèche Haut
    int valeurHaut = analogRead(capteurHaut);
    //Serial.println(valeurHaut);
    if(valeurHaut > seuilHaut) {
      Keyboard.press(KEY_UP_ARROW);
    }
    
    // Flèche Bas
    int valeurBas = analogRead(capteurBas);
    //Serial.println(valeurBas);
    if(valeurBas > seuilBas) {
      Keyboard.press(KEY_DOWN_ARROW); }
    }
    delay(50);
    Keyboard.releaseAll();
  }
